%define pypi_name	pygraphviz

Summary:	Python interface to Graphviz
Name:		python-%{pypi_name}
Version:	1.14
Release:	%mkrel 1
License:	BSD
Group:		Development/Python
Url:		https://pypi.org/project/pygraphviz/
Source0:	%{pypi_source %pypi_name %version}
Source1:	https://raw.githubusercontent.com/pygraphviz/pygraphviz/main/examples/README.txt
BuildRequires:	pyproject-rpm-macros
BuildRequires:	graphviz-devel >= 2.0
BuildRequires:	python3-devel
BuildRequires:	python3dist(sphinx)
BuildRequires:	python3dist(sphinx-rtd-theme)
BuildRequires:	python3dist(pydata-sphinx-theme)
BuildRequires:	python3dist(sphinx-gallery)
BuildRequires:	python3dist(numpydoc)
BuildRequires:	python3dist(matplotlib)

%description
PyGraphviz is a Python interface to the Graphviz graph layout and
visualization package.

With PyGraphviz, you can create, edit, read, write, and draw graphs
using Python to access the Graphviz graph data structure and layout
algorithms.

%package doc
Summary:	Documentation for pygraphviz
Group:		Development/Python
BuildArch:	noarch

%description doc
This package contains documentation for PyGraphviz,
a Python interface to the Graphviz graph layout and
visualization package.


%package -n python3-%{pypi_name}
Summary:        %{summary}
Group:          Development/Python
Requires:       graphviz >= 2.0
Recommends:     %{name}-doc
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
PyGraphviz is a Python interface to the Graphviz graph layout and
visualization package.

With PyGraphviz, you can create, edit, read, write, and draw graphs
using Python to access the Graphviz graph data structure and layout
algorithms.

%prep
%autosetup -p1 -n %{pypi_name}-%{version}

cp -a %{SOURCE1} examples/

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

#docs
%make_build -C doc html PYTHONPATH=$(echo $PWD/build/lib.%{python3_platform}-*)
rm -rf doc/build/html/.buildinfo

%install
%pyproject_install
%pyproject_save_files pygraphviz

%files doc
%doc doc/build/html

%files -n python3-%{pypi_name} -f %{pyproject_files}


%changelog
* Wed Nov 06 2024 daviddavid <daviddavid> 1.14-1.mga10
+ Revision: 2112816
- new version: 1.14

* Thu Aug 15 2024 daviddavid <daviddavid> 1.13-1.mga10
+ Revision: 2086677
- new version: 1.13

* Wed Dec 27 2023 papoteur <papoteur> 1.11-1.mga10
+ Revision: 2022124
- new version 1.11

* Thu Sep 08 2022 neoclust <neoclust> 1.10-1.mga9
+ Revision: 1885598
- New version 	1.10

* Wed Apr 06 2022 umeabot <umeabot> 1.9-2.mga9
+ Revision: 1846176
- Mageia 9 Mass Rebuild

* Sat Feb 19 2022 mrambo3501 <mrambo3501> 1.9-1.mga9
+ Revision: 1781240
- version 1.9
- rebuild for python-3.10

* Thu Mar 25 2021 guillomovitch <guillomovitch> 1.7-2.mga9
+ Revision: 1709826
- rebuild for python 3.9
+ daviddavid <daviddavid>
- new version: 1.7
- remove merged upstream patch
- rebuild for python 3.9

* Sun Feb 16 2020 umeabot <umeabot> 1.5-4.mga8
+ Revision: 1532208
- Mageia 8 Mass Rebuild

* Mon Sep 16 2019 daviddavid <daviddavid> 1.5-3.mga8
+ Revision: 1442171
- rebuild for python3.8
- drop python2 support

* Sat Aug 24 2019 wally <wally> 1.5-2.mga8
+ Revision: 1431789
- update doc build

* Wed Jan 09 2019 shlomif <shlomif> 1.5-1.mga7
+ Revision: 1353913
- Rebuild for python3 3.7

* Sun Sep 23 2018 umeabot <umeabot> 1.3.1-4.mga7
+ Revision: 1300564
- Mageia 7 Mass Rebuild

* Tue May 08 2018 daviddavid <daviddavid> 1.3.1-3.mga7
+ Revision: 1227751
- rename python-pygraphviz to python2-pygraphviz
- fix doc files list

* Sat Aug 05 2017 pterjan <pterjan> 1.3.1-2.mga7
+ Revision: 1135569
- Rebuild for python 3.6

* Mon Apr 25 2016 philippem <philippem> 1.3.1-1.mga6
+ Revision: 1006069
- update to 1.3.1, put doc in subpackage

* Tue Feb 16 2016 umeabot <umeabot> 1.3-0.2.rc3.mga6
+ Revision: 962406
- Mageia 6 Mass Rebuild

* Wed Oct 07 2015 tv <tv> 1.3-0.2.rc2.mga6
+ Revision: 886733
- rebuild for python 3.5

* Sat Aug 29 2015 tv <tv> 1.3-0.1.rc2.mga6
+ Revision: 870829
- new version
- add python3 support
- fix doc build

* Wed Oct 15 2014 umeabot <umeabot> 1.2-7.mga5
+ Revision: 740304
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 1.2-6.mga5
+ Revision: 729460
- rebuild for missing pythoneggs deps
+ umeabot <umeabot>
- Mageia 5 Mass Rebuild
+ pterjan <pterjan>
- Rebuild for new Python

* Tue Oct 22 2013 umeabot <umeabot> 1.2-3.mga4
+ Revision: 543919
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 1.2-2.mga4
+ Revision: 499217
- Rebuild to add different pythonegg provides for python 2 and 3

* Thu Aug 29 2013 philippem <philippem> 1.2-1.mga4
+ Revision: 472890
- remove no need examples
- update to 1.2

* Sun Jan 13 2013 umeabot <umeabot> 1.1-4.mga3
+ Revision: 379361
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Dec 02 2012 kamil <kamil> 1.1-3.mga3
+ Revision: 324745
- rebuild for Mga3 Beta1

* Sun Aug 19 2012 kamil <kamil> 1.1-2.mga3
+ Revision: 282125
- adapt for Mageia
- imported package python-pygraphviz


* Wed Jun 01 2011 Lev Givon <lev@mandriva.org> 1.1-1mdv2011.0
+ Revision: 682332
- Update to 1.1.

* Thu May 12 2011 Lev Givon <lev@mandriva.org> 1.1-0.rc1.1
+ Revision: 673900
- Update to 1.1rc1.

* Wed May 11 2011 Funda Wang <fwang@mandriva.org> 1.0-0.rc6.1
+ Revision: 673621
- add source
- rebuild for new graphviz

* Mon Nov 08 2010 Funda Wang <fwang@mandriva.org> 1.0-0.rc5.1mdv2011.0
+ Revision: 594961
- BR python devel
- rebuild

* Fri Jul 30 2010 Lev Givon <lev@mandriva.org> 1.0-0.rc5mdv2011.0
+ Revision: 563641
- Update to 1.0rc5.

* Tue Sep 15 2009 Thierry Vignaud <tv@mandriva.org> 0.99.1-3mdv2010.0
+ Revision: 442429
- rebuild

* Sun Dec 28 2008 Funda Wang <fwang@mandriva.org> 0.99.1-2mdv2009.1
+ Revision: 320200
- fix str fmt
- rebuild for new python

* Sun Dec 14 2008 Lev Givon <lev@mandriva.org> 0.99.1-1mdv2009.1
+ Revision: 314214
- Update to 0.99.1.

* Mon Jul 07 2008 Lev Givon <lev@mandriva.org> 0.36-1mdv2009.0
+ Revision: 232507
- import python-pygraphviz


* Mon Jul 7 2008 Lev Givon <lev@mandriva.org> 0.36-1mdv2008.1
- Package for Mandriva.
